# Location mock

An action block that mocks (fakes) a location fix update originating from provider.

The fiber will proceed immediately without pause.

This block does nothing if the location provider is disabled, use Location provider enabled block to check.

Note! This feature require that Automate is selected as Mock location app on Android 6+, or lower versions the Allow mock location option has to be enabled, in system Developer settings.

## Input arguments

- Location provider — location provider to mock the location fix update for, default is GPS.
- Latitude — latitude of the mock location fix.
- Longitude — longitude of the mock location fix.